Index: /orxonox/trunk/configure
===================================================================
--- /orxonox/trunk/configure	(revision 4696)
+++ /orxonox/trunk/configure	(revision 4697)
@@ -1602,5 +1602,5 @@
 fi
 
-if mkdir -p --version . >/dev/null 2>&1 && test ! -d ./--version; then
+if mkdir -p -- . 2>/dev/null; then
   # Keeping the `.' argument allows $(mkdir_p) to be used without
   # argument.  Indeed, we sometimes output rules like
@@ -1615,5 +1615,5 @@
   # directories to create, and then abort because `.' already
   # exists.
-  for d in ./-p ./--version;
+  for d in ./-p ./--;
   do
     test -d $d && rmdir $d
@@ -2521,7 +2521,5 @@
     for i in 1 2 3 4 5 6; do
       echo '#include "conftst'$i'.h"' >> sub/conftest.c
-      # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
-      # Solaris 8's {/usr,}/bin/sh.
-      touch sub/conftst$i.h
+      : > sub/conftst$i.h
     done
     echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
@@ -2551,12 +2549,7 @@
        ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
       # icc doesn't choke on unknown options, it will just issue warnings
-      # or remarks (even with -Werror).  So we grep stderr for any message
-      # that says an option was ignored or not supported.
-      # When given -MP, icc 7.0 and 7.1 complain thusly:
-      #   icc: Command line warning: ignoring option '-M'; no argument required
-      # The diagnosis changed in icc 8.0:
-      #   icc: Command line remark: option '-MP' not supported
-      if (grep 'ignoring option' conftest.err ||
-          grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
+      # (even with -Werror).  So we grep stderr for any message
+      # that says an option was ignored.
+      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
         am_cv_CXX_dependencies_compiler_type=$depmode
         break
@@ -3439,7 +3432,5 @@
     for i in 1 2 3 4 5 6; do
       echo '#include "conftst'$i'.h"' >> sub/conftest.c
-      # Using `: > sub/conftst$i.h' creates only sub/conftst1.h with
-      # Solaris 8's {/usr,}/bin/sh.
-      touch sub/conftst$i.h
+      : > sub/conftst$i.h
     done
     echo "${am__include} ${am__quote}sub/conftest.Po${am__quote}" > confmf
@@ -3469,12 +3460,7 @@
        ${MAKE-make} -s -f confmf > /dev/null 2>&1; then
       # icc doesn't choke on unknown options, it will just issue warnings
-      # or remarks (even with -Werror).  So we grep stderr for any message
-      # that says an option was ignored or not supported.
-      # When given -MP, icc 7.0 and 7.1 complain thusly:
-      #   icc: Command line warning: ignoring option '-M'; no argument required
-      # The diagnosis changed in icc 8.0:
-      #   icc: Command line remark: option '-MP' not supported
-      if (grep 'ignoring option' conftest.err ||
-          grep 'not supported' conftest.err) >/dev/null 2>&1; then :; else
+      # (even with -Werror).  So we grep stderr for any message
+      # that says an option was ignored.
+      if grep 'ignoring option' conftest.err >/dev/null 2>&1; then :; else
         am_cv_CC_dependencies_compiler_type=$depmode
         break
@@ -4284,9 +4270,78 @@
     MWINDOWS="-mwindows"
 
-# checking gl header
-        #done before loop
-
-# checking gl header
-   # On IRIX 5.3, sys/types and inttypes.h are conflicting.
+
+
+# checking for mingw32
+    echo "$as_me:$LINENO: checking for main in -lmingw32" >&5
+echo $ECHO_N "checking for main in -lmingw32... $ECHO_C" >&6
+if test "${ac_cv_lib_mingw32_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lmingw32  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_mingw32_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_mingw32_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_mingw32_main" >&5
+echo "${ECHO_T}$ac_cv_lib_mingw32_main" >&6
+if test $ac_cv_lib_mingw32_main = yes; then
+  FOUND_mingw32=yes
+fi
+
+    if test x$FOUND_mingw32 = xyes; then
+        LIBS="$LIBS -lmingw32"
+    fi
+
+#-----------#
+# SDL (win) #
+#-----------#
+# checking for SDL-headers
+    # On IRIX 5.3, sys/types and inttypes.h are conflicting.
 
 
@@ -4361,5 +4416,5 @@
 
 
-for ac_header in GL/gl.h
+for ac_header in SDL/SDL.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -4507,6 +4562,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
-echo "$as_me: error: cannot find opengl headers" >&2;}
+  { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
+echo "$as_me: error: cannot find SDL headers" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -4514,12 +4569,13 @@
 done
 
-#   checking for Windows openGl library
-    echo "$as_me:$LINENO: checking for main in -lopengl32" >&5
-echo $ECHO_N "checking for main in -lopengl32... $ECHO_C" >&6
-if test "${ac_cv_lib_opengl32_main+set}" = set; then
+
+#checking for libSDL
+    echo "$as_me:$LINENO: checking for main in -lsdlmain" >&5
+echo $ECHO_N "checking for main in -lsdlmain... $ECHO_C" >&6
+if test "${ac_cv_lib_sdlmain_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lopengl32  $LIBS"
+LIBS="-lsdlmain  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -4560,10 +4616,10 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_opengl32_main=yes
+  ac_cv_lib_sdlmain_main=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_opengl32_main=no
+ac_cv_lib_sdlmain_main=no
 fi
 rm -f conftest.err conftest.$ac_objext \
@@ -4571,25 +4627,97 @@
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_opengl32_main" >&5
-echo "${ECHO_T}$ac_cv_lib_opengl32_main" >&6
-if test $ac_cv_lib_opengl32_main = yes; then
-  FOUND_opengl32=yes
-else
-  "gl/gl.h"
-fi
-
-    if test x$FOUND_opengl32 = xyes ; then
-        LIBS="$LIBS -lopengl32"
+echo "$as_me:$LINENO: result: $ac_cv_lib_sdlmain_main" >&5
+echo "${ECHO_T}$ac_cv_lib_sdlmain_main" >&6
+if test $ac_cv_lib_sdlmain_main = yes; then
+  FOUND_sdlmain=yes
+fi
+
+    if test x$FOUND_sdlmain = xyes ; then
+       LIBS="$LIBS -lsdlmain"
     else
-         echo "------------------"
-         echo "opengl not found."
-         echo "please install the opengl package which can be found at http://www.opengl.org"
-         echo "------------------"
-         exit -1
+        echo "------------------"
+        echo "SDL library not found."
+        echo "please install the SDL library, which can be found at http://www.libsdl.org"
+        echo "------------------"
+        exit 1
     fi
-
-# cheking for GLU-header
-
-for ac_header in GL/glu.h
+    echo "$as_me:$LINENO: checking for main in -lsdl" >&5
+echo $ECHO_N "checking for main in -lsdl... $ECHO_C" >&6
+if test "${ac_cv_lib_sdl_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lsdl  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_sdl_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_sdl_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_sdl_main" >&5
+echo "${ECHO_T}$ac_cv_lib_sdl_main" >&6
+if test $ac_cv_lib_sdl_main = yes; then
+  FOUND_sdl=yes
+fi
+
+    if test x$FOUND_sdl = xyes ; then
+       LIBS="$LIBS -lsdl"
+    else
+        echo "------------------"
+        echo "SDL library not found."
+        echo "please install the SDL library, which can be found at http://www.libsdl.org"
+        echo "------------------"
+        exit -1
+    fi
+
+#---------------#
+# open-GL (win) #
+#---------------#
+# checking gl header
+
+for ac_header in GL/gl.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -4744,13 +4872,12 @@
 done
 
-
-# checking for libGLU
-    echo "$as_me:$LINENO: checking for main in -lglu32" >&5
-echo $ECHO_N "checking for main in -lglu32... $ECHO_C" >&6
-if test "${ac_cv_lib_glu32_main+set}" = set; then
+#   checking for Windows openGl library
+    echo "$as_me:$LINENO: checking for main in -lopengl32" >&5
+echo $ECHO_N "checking for main in -lopengl32... $ECHO_C" >&6
+if test "${ac_cv_lib_opengl32_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lglu32  $LIBS"
+LIBS="-lopengl32  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -4791,10 +4918,10 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_glu32_main=yes
+  ac_cv_lib_opengl32_main=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_glu32_main=no
+ac_cv_lib_opengl32_main=no
 fi
 rm -f conftest.err conftest.$ac_objext \
@@ -4802,89 +4929,25 @@
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_glu32_main" >&5
-echo "${ECHO_T}$ac_cv_lib_glu32_main" >&6
-if test $ac_cv_lib_glu32_main = yes; then
-  FOUND_glu32=yes
-fi
-
-    if test x$FOUND_glu32 = xyes ; then
-        LIBS="$LIBS -lGLU32"
+echo "$as_me:$LINENO: result: $ac_cv_lib_opengl32_main" >&5
+echo "${ECHO_T}$ac_cv_lib_opengl32_main" >&6
+if test $ac_cv_lib_opengl32_main = yes; then
+  FOUND_opengl32=yes
+else
+  "gl/gl.h"
+fi
+
+    if test x$FOUND_opengl32 = xyes ; then
+        LIBS="$LIBS -lopengl32"
     else
          echo "------------------"
-         echo "GLU library not found."
-         echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
+         echo "opengl not found."
+         echo "please install the opengl package which can be found at http://www.opengl.org"
          echo "------------------"
          exit -1
     fi
 
-# checking for mingw32
-    echo "$as_me:$LINENO: checking for main in -lmingw32" >&5
-echo $ECHO_N "checking for main in -lmingw32... $ECHO_C" >&6
-if test "${ac_cv_lib_mingw32_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lmingw32  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_mingw32_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_mingw32_main=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_mingw32_main" >&5
-echo "${ECHO_T}$ac_cv_lib_mingw32_main" >&6
-if test $ac_cv_lib_mingw32_main = yes; then
-  FOUND_mingw32=yes
-fi
-
-    if test x$FOUND_mingw32 = xyes; then
-        LIBS="$LIBS -lmingw32"
-    fi
-# checking for SDL-headers
-
-for ac_header in SDL/SDL.h
+# cheking for GLU-header
+
+for ac_header in GL/glu.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -5032,6 +5095,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find SDL headers" >&5
-echo "$as_me: error: cannot find SDL headers" >&2;}
+  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
+echo "$as_me: error: cannot find opengl headers" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -5040,12 +5103,12 @@
 
 
-#checking for libSDL
-    echo "$as_me:$LINENO: checking for main in -lsdlmain" >&5
-echo $ECHO_N "checking for main in -lsdlmain... $ECHO_C" >&6
-if test "${ac_cv_lib_sdlmain_main+set}" = set; then
+# checking for libGLU
+    echo "$as_me:$LINENO: checking for main in -lglu32" >&5
+echo $ECHO_N "checking for main in -lglu32... $ECHO_C" >&6
+if test "${ac_cv_lib_glu32_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lsdlmain  $LIBS"
+LIBS="-lglu32  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -5086,10 +5149,10 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_sdlmain_main=yes
+  ac_cv_lib_glu32_main=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_sdlmain_main=no
+ac_cv_lib_glu32_main=no
 fi
 rm -f conftest.err conftest.$ac_objext \
@@ -5097,105 +5160,26 @@
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_sdlmain_main" >&5
-echo "${ECHO_T}$ac_cv_lib_sdlmain_main" >&6
-if test $ac_cv_lib_sdlmain_main = yes; then
-  FOUND_sdlmain=yes
-fi
-
-    if test x$FOUND_sdlmain = xyes ; then
-       LIBS="$LIBS -lsdlmain"
+echo "$as_me:$LINENO: result: $ac_cv_lib_glu32_main" >&5
+echo "${ECHO_T}$ac_cv_lib_glu32_main" >&6
+if test $ac_cv_lib_glu32_main = yes; then
+  FOUND_glu32=yes
+fi
+
+    if test x$FOUND_glu32 = xyes ; then
+        LIBS="$LIBS -lGLU32"
     else
-        echo "------------------"
-        echo "SDL library not found."
-        echo "please install the SDL library, which can be found at http://www.libsdl.org"
-        echo "------------------"
-        exit 1
+         echo "------------------"
+         echo "GLU library not found."
+         echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
+         echo "------------------"
+         exit -1
     fi
-    echo "$as_me:$LINENO: checking for main in -lsdl" >&5
-echo $ECHO_N "checking for main in -lsdl... $ECHO_C" >&6
-if test "${ac_cv_lib_sdl_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lsdl  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_sdl_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_sdl_main=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_sdl_main" >&5
-echo "${ECHO_T}$ac_cv_lib_sdl_main" >&6
-if test $ac_cv_lib_sdl_main = yes; then
-  FOUND_sdl=yes
-fi
-
-    if test x$FOUND_sdl = xyes ; then
-       LIBS="$LIBS -lsdl"
-    else
-        echo "------------------"
-        echo "SDL library not found."
-        echo "please install the SDL library, which can be found at http://www.libsdl.org"
-        echo "------------------"
-        exit -1
-    fi
-
-    ;;
-#-------#
-# LINUX #
-#-------#
- *-*-linux*)
-echo "Linux detected"
-
- Linux="yes"
-
-CPPFLAGS="-I/usr/X11R6/include -I/usr/include"
-LDFLAGS="-L/usr/lib/opengl/xorg-x11/lib -L/usr/Mesa-6.0.1/lib -L/usr/X11R6/lib $LDFLAGS"
-# checking gl header
-
-for ac_header in GL/gl.h
+
+#--------#
+# openAL #
+#--------#
+# checking for openAL-headers
+
+for ac_header in AL/al.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -5343,6 +5327,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
-echo "$as_me: error: cannot find opengl headers" >&2;}
+  { { echo "$as_me:$LINENO: error: cannot find openAL header." >&5
+echo "$as_me: error: cannot find openAL header." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -5350,13 +5334,12 @@
 done
 
-
-#  checking for Unix GL
-   echo "$as_me:$LINENO: checking for glLoadIdentity in -lGL" >&5
-echo $ECHO_N "checking for glLoadIdentity in -lGL... $ECHO_C" >&6
-if test "${ac_cv_lib_GL_glLoadIdentity+set}" = set; then
+# checking for openAL-lib
+  echo "$as_me:$LINENO: checking for main in -lOpenAL32" >&5
+echo $ECHO_N "checking for main in -lOpenAL32... $ECHO_C" >&6
+if test "${ac_cv_lib_OpenAL32_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lGL  $LIBS"
+LIBS="-lOpenAL32  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -5366,15 +5349,9 @@
 /* end confdefs.h.  */
 
-/* Override any gcc2 internal prototype to avoid an error.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
-char glLoadIdentity ();
+
 int
 main ()
 {
-glLoadIdentity ();
+main ();
   ;
   return 0;
@@ -5403,10 +5380,10 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_GL_glLoadIdentity=yes
+  ac_cv_lib_OpenAL32_main=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_GL_glLoadIdentity=no
+ac_cv_lib_OpenAL32_main=no
 fi
 rm -f conftest.err conftest.$ac_objext \
@@ -5414,23 +5391,97 @@
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_GL_glLoadIdentity" >&5
-echo "${ECHO_T}$ac_cv_lib_GL_glLoadIdentity" >&6
-if test $ac_cv_lib_GL_glLoadIdentity = yes; then
-  FOUND_GL=yes
-fi
-
-   if test x$FOUND_GL = xyes ; then
-     LIBS="$LIBS -lGL"
-   else
-         echo "------------------"
-         echo "opengl not found."
-         echo "please install the opengl package which can be found at http://www.opengl.org"
-         echo "------------------"
-         exit -1
-   fi
-
-# cheking for GLU-header
-
-for ac_header in GL/glu.h
+echo "$as_me:$LINENO: result: $ac_cv_lib_OpenAL32_main" >&5
+echo "${ECHO_T}$ac_cv_lib_OpenAL32_main" >&6
+if test $ac_cv_lib_OpenAL32_main = yes; then
+  FOUND_openal=yes
+fi
+
+  echo "$as_me:$LINENO: checking for main in -lALut" >&5
+echo $ECHO_N "checking for main in -lALut... $ECHO_C" >&6
+if test "${ac_cv_lib_ALut_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lALut  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_ALut_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_ALut_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_ALut_main" >&5
+echo "${ECHO_T}$ac_cv_lib_ALut_main" >&6
+if test $ac_cv_lib_ALut_main = yes; then
+  FOUND_ALut=yes
+fi
+
+     if test x$FOUND_openal = xyes ; then
+      if test x$FOUND_ALut = xyes ; then
+       LIBS="$LIBS -lALut -lOpenAL32"
+     else
+        echo "------------------"
+        echo "openal library not found."
+        echo "please install the openal library, which can be found at http://www.openal.org"
+        echo "------------------"
+        exit -1
+      fi
+     fi
+    ;;
+#-------#
+# LINUX #
+#-------#
+ *-*-linux*)
+echo "Linux detected"
+
+ Linux="yes"
+
+CPPFLAGS="-I/usr/X11R6/include -I/usr/include"
+LDFLAGS="-L/usr/lib/opengl/xorg-x11/lib -L/usr/Mesa-6.0.1/lib -L/usr/X11R6/lib $LDFLAGS"
+# checking gl header
+
+for ac_header in GL/gl.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -5586,11 +5637,12 @@
 
 
-    echo "$as_me:$LINENO: checking for gluProject in -lGLU" >&5
-echo $ECHO_N "checking for gluProject in -lGLU... $ECHO_C" >&6
-if test "${ac_cv_lib_GLU_gluProject+set}" = set; then
+#  checking for Unix GL
+   echo "$as_me:$LINENO: checking for glLoadIdentity in -lGL" >&5
+echo $ECHO_N "checking for glLoadIdentity in -lGL... $ECHO_C" >&6
+if test "${ac_cv_lib_GL_glLoadIdentity+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lGLU  $LIBS"
+LIBS="-lGL  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -5606,9 +5658,9 @@
 /* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
-char gluProject ();
+char glLoadIdentity ();
 int
 main ()
 {
-gluProject ();
+glLoadIdentity ();
   ;
   return 0;
@@ -5637,10 +5689,10 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_GLU_gluProject=yes
+  ac_cv_lib_GL_glLoadIdentity=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_GLU_gluProject=no
+ac_cv_lib_GL_glLoadIdentity=no
 fi
 rm -f conftest.err conftest.$ac_objext \
@@ -5648,29 +5700,23 @@
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_GLU_gluProject" >&5
-echo "${ECHO_T}$ac_cv_lib_GLU_gluProject" >&6
-if test $ac_cv_lib_GLU_gluProject = yes; then
-  FOUND_GLU=yes
-fi
-
-    if test x$FOUND_GLU = xyes ; then
-      LIBS="$LIBS -lGLU"
-    else
+echo "$as_me:$LINENO: result: $ac_cv_lib_GL_glLoadIdentity" >&5
+echo "${ECHO_T}$ac_cv_lib_GL_glLoadIdentity" >&6
+if test $ac_cv_lib_GL_glLoadIdentity = yes; then
+  FOUND_GL=yes
+fi
+
+   if test x$FOUND_GL = xyes ; then
+     LIBS="$LIBS -lGL"
+   else
          echo "------------------"
-         echo "GLU library not found."
-         echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
+         echo "opengl not found."
+         echo "please install the opengl package which can be found at http://www.opengl.org"
          echo "------------------"
          exit -1
-    fi
-
-# checking for SDL
-  echo "$as_me:$LINENO: checking for SDL-version" >&5
-echo $ECHO_N "checking for SDL-version... $ECHO_C" >&6
-  SDL_VERSION=`sdl-config --version`
-  echo $SDL_VERSION
-
-   CPPFLAGS="`sdl-config --cflags` $CPPFLAGS"
-
-for ac_header in SDL.h
+   fi
+
+# cheking for GLU-header
+
+for ac_header in GL/glu.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -5818,6 +5864,96 @@
 
 else
-
-for ac_header in SDL/SDL.h
+  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
+echo "$as_me: error: cannot find opengl headers" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+done
+
+
+    echo "$as_me:$LINENO: checking for gluProject in -lGLU" >&5
+echo $ECHO_N "checking for gluProject in -lGLU... $ECHO_C" >&6
+if test "${ac_cv_lib_GLU_gluProject+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lGLU  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char gluProject ();
+int
+main ()
+{
+gluProject ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_GLU_gluProject=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_GLU_gluProject=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_GLU_gluProject" >&5
+echo "${ECHO_T}$ac_cv_lib_GLU_gluProject" >&6
+if test $ac_cv_lib_GLU_gluProject = yes; then
+  FOUND_GLU=yes
+fi
+
+    if test x$FOUND_GLU = xyes ; then
+      LIBS="$LIBS -lGLU"
+    else
+         echo "------------------"
+         echo "GLU library not found."
+         echo "please install the GLU library, that should come with openGL, which can be found at http://www.opengl.org"
+         echo "------------------"
+         exit -1
+    fi
+
+#--------#
+# openAL #
+#--------#
+# checking for openAL-headers
+
+for ac_header in AL/al.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -5965,6 +6101,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find SDL header. please download from libsdl.org" >&5
-echo "$as_me: error: cannot find SDL header. please download from libsdl.org" >&2;}
+  { { echo "$as_me:$LINENO: error: cannot find openAL header." >&5
+echo "$as_me: error: cannot find openAL header." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -5972,24 +6108,86 @@
 done
 
-fi
-
-done
-
-
-   LIBS="`sdl-config --libs` $LIBS"
-    ;;
-
-#-----------#
-# MAC -OS X #
-#-----------#
- *darwin*)
- echo "OS X detected"
-
- osX="yes"
-
- CPPFLAGS="-I/sw/include -I/sw/include $CPPFLAGS"
-# checking gl header
-
-for ac_header in OpenGL/gl.h
+# checking for openAL-lib
+  echo "$as_me:$LINENO: checking for main in -lopenal" >&5
+echo $ECHO_N "checking for main in -lopenal... $ECHO_C" >&6
+if test "${ac_cv_lib_openal_main+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_check_lib_save_LIBS=$LIBS
+LIBS="-lopenal  $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+
+
+int
+main ()
+{
+main ();
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+	 { ac_try='test -z "$ac_c_werror_flag"
+			 || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+	 { ac_try='test -s conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_lib_openal_main=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_lib_openal_main=no
+fi
+rm -f conftest.err conftest.$ac_objext \
+      conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_openal_main" >&5
+echo "${ECHO_T}$ac_cv_lib_openal_main" >&6
+if test $ac_cv_lib_openal_main = yes; then
+  FOUND_openal=yes
+fi
+
+     if test x$FOUND_openal = xyes ; then
+       LIBS="$LIBS -lopenal"
+     else
+        echo "------------------"
+        echo "openal library not found."
+        echo "please install the openal library, which can be found at http://www.openal.org"
+        echo "------------------"
+        exit -1
+     fi
+
+# checking for SDL
+  echo "$as_me:$LINENO: checking for SDL-version" >&5
+echo $ECHO_N "checking for SDL-version... $ECHO_C" >&6
+  SDL_VERSION=`sdl-config --version`
+  echo $SDL_VERSION
+
+   CPPFLAGS="`sdl-config --cflags` $CPPFLAGS"
+
+for ac_header in SDL.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -6137,14 +6335,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
-echo "$as_me: error: cannot find opengl headers" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-done
-
-# cheking for GLU-header
-
-for ac_header in OpenGL/glu.h
+
+for ac_header in SDL/SDL.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -6292,6 +6482,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
-echo "$as_me: error: cannot find opengl headers" >&2;}
+  { { echo "$as_me:$LINENO: error: cannot find SDL header. please download from libsdl.org" >&5
+echo "$as_me: error: cannot find SDL header. please download from libsdl.org" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -6299,45 +6489,24 @@
 done
 
-
-   LIBS="$LIBS -framework OpenGL"
-
-
-## SDL-check
-       SDL_CFLAGS=`sdl-config --cflags`
-       SDL_LIBS=`sdl-config --libs`
-       CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
-       LIBS="$LIBS $SDL_LIBS"
-
-
-# checking for SDL-headers
-#    AC_CHECK_HEADERS(SDL/SDL.h ,,
-#      [AC_MSG_ERROR([cannot find SDL headers]) ])
-
-## checking for SDL
-#    SDL_VERSION=1.2.7
-#    AM_PATH_SDL($SDL_VERSION,
-#      :,
-#      AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
-#      )
-
-
+fi
+
+done
+
+
+   LIBS="`sdl-config --libs` $LIBS"
     ;;
 
-  *)
-    ;;
-esac
-
-
-
-###################################
-## CHECKING FOR HEADERS AND LIBS ##
-###################################
-
-#---------#
-# SDL_ttf #
-#---------#
-# checking for SDL_ttf-headers
-
-for ac_header in SDL_ttf.h
+#-----------#
+# MAC -OS X #
+#-----------#
+ *darwin*)
+ echo "OS X detected"
+
+ osX="yes"
+
+ CPPFLAGS="-I/sw/include -I/sw/include $CPPFLAGS"
+# checking gl header
+
+for ac_header in OpenGL/gl.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -6485,6 +6654,14 @@
 
 else
-
-for ac_header in SDL/SDL_ttf.h
+  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
+echo "$as_me: error: cannot find opengl headers" >&2;}
+   { (exit 1); exit 1; }; }
+fi
+
+done
+
+# cheking for GLU-header
+
+for ac_header in OpenGL/glu.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -6632,6 +6809,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find SDL_ttf header." >&5
-echo "$as_me: error: cannot find SDL_ttf header." >&2;}
+  { { echo "$as_me:$LINENO: error: cannot find opengl headers" >&5
+echo "$as_me: error: cannot find opengl headers" >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -6639,88 +6816,45 @@
 done
 
-fi
-
-done
-
-# checking for SDL_ttf-lib
-  echo "$as_me:$LINENO: checking for main in -lSDL_ttf" >&5
-echo $ECHO_N "checking for main in -lSDL_ttf... $ECHO_C" >&6
-if test "${ac_cv_lib_SDL_ttf_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lSDL_ttf  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_SDL_ttf_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_SDL_ttf_main=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_ttf_main" >&5
-echo "${ECHO_T}$ac_cv_lib_SDL_ttf_main" >&6
-if test $ac_cv_lib_SDL_ttf_main = yes; then
-  FOUND_SDL_ttf=yes
-fi
-
-     if test x$FOUND_SDL_ttf = xyes ; then
-       LIBS="$LIBS -lSDL_ttf"
-     else
-        echo "------------------"
-        echo "SDL_ttf library not found."
-        echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
-        echo "------------------"
-        exit -1
-     fi
-
-
-#-----------#
-# SDL_Image #
-#-----------#
-# checking for SDL_image-headers
-
-for ac_header in SDL_image.h
+
+   LIBS="$LIBS -framework OpenGL"
+
+
+## SDL-check
+       SDL_CFLAGS=`sdl-config --cflags`
+       SDL_LIBS=`sdl-config --libs`
+       CXXFLAGS="$CXXFLAGS $SDL_CFLAGS"
+       LIBS="$LIBS $SDL_LIBS"
+
+
+# checking for SDL-headers
+#    AC_CHECK_HEADERS(SDL/SDL.h ,,
+#      [AC_MSG_ERROR([cannot find SDL headers]) ])
+
+## checking for SDL
+#    SDL_VERSION=1.2.7
+#    AM_PATH_SDL($SDL_VERSION,
+#      :,
+#      AC_MSG_ERROR([*** SDL version $SDL_VERSION not found!])
+#      )
+
+
+    ;;
+
+  *)
+    ;;
+esac
+
+
+
+###################################
+## CHECKING FOR HEADERS AND LIBS ##
+###################################
+
+#---------#
+# SDL_ttf #
+#---------#
+# checking for SDL_ttf-headers
+
+for ac_header in SDL_ttf.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -6869,5 +7003,5 @@
 else
 
-for ac_header in SDL/SDL_image.h
+for ac_header in SDL/SDL_ttf.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -7015,6 +7149,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: SDL_image header not found." >&5
-echo "$as_me: error: SDL_image header not found." >&2;}
+  { { echo "$as_me:$LINENO: error: cannot find SDL_ttf header." >&5
+echo "$as_me: error: cannot find SDL_ttf header." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -7026,12 +7160,12 @@
 done
 
-# checking for SDL_image-lib
-echo "$as_me:$LINENO: checking for main in -lSDL_image" >&5
-echo $ECHO_N "checking for main in -lSDL_image... $ECHO_C" >&6
-if test "${ac_cv_lib_SDL_image_main+set}" = set; then
+# checking for SDL_ttf-lib
+  echo "$as_me:$LINENO: checking for TTF_OpenFont in -lSDL_ttf" >&5
+echo $ECHO_N "checking for TTF_OpenFont in -lSDL_ttf... $ECHO_C" >&6
+if test "${ac_cv_lib_SDL_ttf_TTF_OpenFont+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-lSDL_image  $LIBS"
+LIBS="-lSDL_ttf  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -7041,9 +7175,15 @@
 /* end confdefs.h.  */
 
-
+/* Override any gcc2 internal prototype to avoid an error.  */
+#ifdef __cplusplus
+extern "C"
+#endif
+/* We use char because int might match the return type of a gcc2
+   builtin and then its argument prototype would still apply.  */
+char TTF_OpenFont ();
 int
 main ()
 {
-main ();
+TTF_OpenFont ();
   ;
   return 0;
@@ -7072,10 +7212,10 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_SDL_image_main=yes
+  ac_cv_lib_SDL_ttf_TTF_OpenFont=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_SDL_image_main=no
+ac_cv_lib_SDL_ttf_TTF_OpenFont=no
 fi
 rm -f conftest.err conftest.$ac_objext \
@@ -7083,26 +7223,27 @@
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_image_main" >&5
-echo "${ECHO_T}$ac_cv_lib_SDL_image_main" >&6
-if test $ac_cv_lib_SDL_image_main = yes; then
-  FOUND_SDL_image=yes
-fi
-
-   if test x$FOUND_SDL_image = xyes ; then
-     LIBS="$LIBS -lSDL_image"
-   else
-      echo "------------------"
-      echo "SDL_image library not found."
-      echo "please install the SDL_image library, which can be found at http://www.libsdl.org/projects/SDL_image/"
-      echo "------------------"
-      exit -1
-   fi
-
-#--------#
-# openAL #
-#--------#
-# checking for openAL-headers
-
-for ac_header in AL/al.h
+echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_ttf_TTF_OpenFont" >&5
+echo "${ECHO_T}$ac_cv_lib_SDL_ttf_TTF_OpenFont" >&6
+if test $ac_cv_lib_SDL_ttf_TTF_OpenFont = yes; then
+  FOUND_SDL_ttf=yes
+fi
+
+     if test x$FOUND_SDL_ttf = xyes ; then
+       LIBS="$LIBS -lSDL_ttf"
+     else
+        echo "------------------"
+        echo "SDL_ttf library not found."
+        echo "please install the SDL_ttf library, which can be found at http://www.libsdl.org/projects/SDL_ttf/"
+        echo "------------------"
+        exit -1
+     fi
+
+
+#-----------#
+# SDL_Image #
+#-----------#
+# checking for SDL_image-headers
+
+for ac_header in SDL_image.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -7250,90 +7391,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find openAL header." >&5
-echo "$as_me: error: cannot find openAL header." >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-done
-
-# checking for openAL-lib
-  echo "$as_me:$LINENO: checking for main in -lopenal" >&5
-echo $ECHO_N "checking for main in -lopenal... $ECHO_C" >&6
-if test "${ac_cv_lib_openal_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lopenal  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_openal_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_openal_main=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_openal_main" >&5
-echo "${ECHO_T}$ac_cv_lib_openal_main" >&6
-if test $ac_cv_lib_openal_main = yes; then
-  FOUND_openal=yes
-fi
-
-     if test x$FOUND_openal = xyes ; then
-       LIBS="$LIBS -lopenal"
-     else
-        echo "------------------"
-        echo "openal library not found."
-        echo "please install the openal library, which can be found at http://www.openal.org"
-        echo "------------------"
-        exit -1
-     fi
-
-#-----#
-# ogg #
-#-----#
-# checking for ogg-headers
-
-for ac_header in ogg/ogg.h
+
+for ac_header in SDL/SDL_image.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
@@ -7481,6 +7538,6 @@
 
 else
-  { { echo "$as_me:$LINENO: error: cannot find ogg header." >&5
-echo "$as_me: error: cannot find ogg header." >&2;}
+  { { echo "$as_me:$LINENO: error: SDL_image header not found." >&5
+echo "$as_me: error: SDL_image header not found." >&2;}
    { (exit 1); exit 1; }; }
 fi
@@ -7488,12 +7545,16 @@
 done
 
-# checking for ogg-lib
-  echo "$as_me:$LINENO: checking for main in -logg" >&5
-echo $ECHO_N "checking for main in -logg... $ECHO_C" >&6
-if test "${ac_cv_lib_ogg_main+set}" = set; then
+fi
+
+done
+
+# checking for SDL_image-lib
+echo "$as_me:$LINENO: checking for main in -lSDL_image" >&5
+echo $ECHO_N "checking for main in -lSDL_image... $ECHO_C" >&6
+if test "${ac_cv_lib_SDL_image_main+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
 else
   ac_check_lib_save_LIBS=$LIBS
-LIBS="-logg  $LIBS"
+LIBS="-lSDL_image  $LIBS"
 cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
@@ -7534,10 +7595,10 @@
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; }; then
-  ac_cv_lib_ogg_main=yes
+  ac_cv_lib_SDL_image_main=yes
 else
   echo "$as_me: failed program was:" >&5
 sed 's/^/| /' conftest.$ac_ext >&5
 
-ac_cv_lib_ogg_main=no
+ac_cv_lib_SDL_image_main=no
 fi
 rm -f conftest.err conftest.$ac_objext \
@@ -7545,326 +7606,70 @@
 LIBS=$ac_check_lib_save_LIBS
 fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_ogg_main" >&5
-echo "${ECHO_T}$ac_cv_lib_ogg_main" >&6
-if test $ac_cv_lib_ogg_main = yes; then
-  FOUND_ogg=yes
-fi
-
-     if test x$FOUND_ogg = xyes ; then
-       LIBS="$LIBS -logg"
-     else
-        echo "------------------"
-        echo "ogg library not found."
-        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
+echo "$as_me:$LINENO: result: $ac_cv_lib_SDL_image_main" >&5
+echo "${ECHO_T}$ac_cv_lib_SDL_image_main" >&6
+if test $ac_cv_lib_SDL_image_main = yes; then
+  FOUND_SDL_image=yes
+fi
+
+   if test x$FOUND_SDL_image = xyes ; then
+     LIBS="$LIBS -lSDL_image"
+   else
+      echo "------------------"
+      echo "SDL_image library not found."
+      echo "please install the SDL_image library, which can be found at http://www.libsdl.org/projects/SDL_image/"
+      echo "------------------"
+      exit -1
+   fi
+
+#-----#
+# ogg #
+#-----#
+## checking for ogg-headers
+#  AC_CHECK_HEADERS([ogg/ogg.h] ,,
+#      [AC_MSG_ERROR([cannot find ogg header.])])
+## checking for ogg-lib
+#  AC_CHECK_LIB([ogg], [main], [FOUND_ogg=yes])
+#     if test x$FOUND_ogg = xyes ; then
+#       LIBS="$LIBS -logg"
+#     else
+#        echo "------------------"
+#        echo "ogg library not found."
+#        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+#        echo "------------------"
+#        exit -1
+#     fi
 
 #--------#
 # vorbis #
 #--------#
-# checking for vorbis-lib
-  echo "$as_me:$LINENO: checking for main in -lvorbis" >&5
-echo $ECHO_N "checking for main in -lvorbis... $ECHO_C" >&6
-if test "${ac_cv_lib_vorbis_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lvorbis  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_vorbis_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_vorbis_main=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_vorbis_main" >&5
-echo "${ECHO_T}$ac_cv_lib_vorbis_main" >&6
-if test $ac_cv_lib_vorbis_main = yes; then
-  FOUND_vorbis=yes
-fi
-
-     if test x$FOUND_vorbis = xyes ; then
-       LIBS="$LIBS -lvorbis"
-     else
-        echo "------------------"
-        echo "vorbis library not found."
-        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
+## checking for vorbis-lib
+#  AC_CHECK_LIB([vorbis], [main], [FOUND_vorbis=yes])
+#     if test x$FOUND_vorbis = xyes ; then
+#       LIBS="$LIBS -lvorbis"
+#     else
+#        echo "------------------"
+#        echo "vorbis library not found."
+#        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+#        echo "------------------"
+#        exit -1
+#     fi
 
 #------------#
 # vorbisfile #
 #------------#
-# checking for vorbis-headers
-
-for ac_header in vorbis/vorbisfile.h
-do
-as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
-  echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
-else
-  # Is the header compilable?
-echo "$as_me:$LINENO: checking $ac_header usability" >&5
-echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-$ac_includes_default
-#include <$ac_header>
-_ACEOF
-rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_header_compiler=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_header_compiler=no
-fi
-rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
-echo "${ECHO_T}$ac_header_compiler" >&6
-
-# Is the header present?
-echo "$as_me:$LINENO: checking $ac_header presence" >&5
-echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-#include <$ac_header>
-_ACEOF
-if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
-  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } >/dev/null; then
-  if test -s conftest.err; then
-    ac_cpp_err=$ac_c_preproc_warn_flag
-    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
-  else
-    ac_cpp_err=
-  fi
-else
-  ac_cpp_err=yes
-fi
-if test -z "$ac_cpp_err"; then
-  ac_header_preproc=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-  ac_header_preproc=no
-fi
-rm -f conftest.err conftest.$ac_ext
-echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
-echo "${ECHO_T}$ac_header_preproc" >&6
-
-# So?  What about this header?
-case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
-  yes:no: )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
-echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
-    ac_header_preproc=yes
-    ;;
-  no:yes:* )
-    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
-echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
-echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
-echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
-echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
-echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
-    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
-echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
-    (
-      cat <<\_ASBOX
-## ---------------------------------------------- ##
-## Report this to orxonox-dev at mail.datacore.ch ##
-## ---------------------------------------------- ##
-_ASBOX
-    ) |
-      sed "s/^/$as_me: WARNING:     /" >&2
-    ;;
-esac
-echo "$as_me:$LINENO: checking for $ac_header" >&5
-echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
-if eval "test \"\${$as_ac_Header+set}\" = set"; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  eval "$as_ac_Header=\$ac_header_preproc"
-fi
-echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
-echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
-
-fi
-if test `eval echo '${'$as_ac_Header'}'` = yes; then
-  cat >>confdefs.h <<_ACEOF
-#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
-_ACEOF
-
-else
-  { { echo "$as_me:$LINENO: error: cannot find vorbisfile header." >&5
-echo "$as_me: error: cannot find vorbisfile header." >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-done
-
-# checking for vorbisfile-lib
-  echo "$as_me:$LINENO: checking for main in -lvorbisfile" >&5
-echo $ECHO_N "checking for main in -lvorbisfile... $ECHO_C" >&6
-if test "${ac_cv_lib_vorbisfile_main+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_check_lib_save_LIBS=$LIBS
-LIBS="-lvorbisfile  $LIBS"
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-
-int
-main ()
-{
-main ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_lib_vorbisfile_main=yes
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-ac_cv_lib_vorbisfile_main=no
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-LIBS=$ac_check_lib_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_lib_vorbisfile_main" >&5
-echo "${ECHO_T}$ac_cv_lib_vorbisfile_main" >&6
-if test $ac_cv_lib_vorbisfile_main = yes; then
-  FOUND_vorbisfile=yes
-fi
-
-     if test x$FOUND_vorbisfile = xyes ; then
-       LIBS="$LIBS -lvorbisfile"
-     else
-        echo "------------------"
-        echo "vorbisfile library not found."
-        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
+## checking for vorbis-headers
+#  AC_CHECK_HEADERS([vorbis/vorbisfile.h] ,,
+#      [AC_MSG_ERROR([cannot find vorbisfile header.])])
+## checking for vorbisfile-lib
+#  AC_CHECK_LIB([vorbisfile], [main], [FOUND_vorbisfile=yes])
+#     if test x$FOUND_vorbisfile = xyes ; then
+#       LIBS="$LIBS -lvorbisfile"
+#     else
+#        echo "------------------"
+#        echo "vorbisfile library not found."
+#        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+#        echo "------------------"
+#        exit -1
+#     fi
 
 #-----#
@@ -10517,12 +10322,12 @@
   # Extract the definition of DEP_FILES from the Makefile without
   # running `make'.
-  DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
+  DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
   test -z "$DEPDIR" && continue
   # When using ansi2knr, U may be empty or an underscore; expand it
-  U=`sed -n 's/^U = //p' < "$mf"`
+  U=`sed -n -e '/^U = / s///p' < "$mf"`
   test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
   # We invoke sed twice because it is the simplest approach to
   # changing $(DEPDIR) to its actual value in the expansion.
-  for file in `sed -n '
+  for file in `sed -n -e '
     /^DEP_FILES = .*\\\\$/ {
       s/^DEP_FILES = //
Index: /orxonox/trunk/configure.ac
===================================================================
--- /orxonox/trunk/configure.ac	(revision 4696)
+++ /orxonox/trunk/configure.ac	(revision 4697)
@@ -221,7 +221,44 @@
     MWINDOWS="-mwindows"
 
-# checking gl header
-        #done before loop
-
+
+
+# checking for mingw32
+    AC_CHECK_LIB([mingw32], [main], FOUND_mingw32=yes)
+    if test x$FOUND_mingw32 = xyes; then
+        LIBS="$LIBS -lmingw32"
+    fi
+
+#-----------#
+# SDL (win) #
+#-----------#
+# checking for SDL-headers
+    AC_CHECK_HEADERS([SDL/SDL.h] ,,
+      [AC_MSG_ERROR([cannot find SDL headers]) ])
+
+#checking for libSDL
+    AC_CHECK_LIB([sdlmain], [main], FOUND_sdlmain=yes)
+    if test x$FOUND_sdlmain = xyes ; then
+       LIBS="$LIBS -lsdlmain"
+    else
+        echo "------------------"
+        echo "SDL library not found."
+        echo "please install the SDL library, which can be found at http://www.libsdl.org"
+        echo "------------------"
+        exit 1
+    fi
+    AC_CHECK_LIB([sdl], [main], FOUND_sdl=yes)
+    if test x$FOUND_sdl = xyes ; then
+       LIBS="$LIBS -lsdl"
+    else
+        echo "------------------"
+        echo "SDL library not found."
+        echo "please install the SDL library, which can be found at http://www.libsdl.org"
+        echo "------------------"
+        exit -1
+    fi
+
+#---------------#
+# open-GL (win) #
+#---------------#
 # checking gl header
    AC_CHECK_HEADERS(GL/gl.h ,,
@@ -255,35 +292,24 @@
     fi
 
-# checking for mingw32
-    AC_CHECK_LIB([mingw32], [main], FOUND_mingw32=yes)
-    if test x$FOUND_mingw32 = xyes; then
-        LIBS="$LIBS -lmingw32"
-    fi
-# checking for SDL-headers
-    AC_CHECK_HEADERS([SDL/SDL.h] ,,
-      [AC_MSG_ERROR([cannot find SDL headers]) ])
-
-#checking for libSDL
-    AC_CHECK_LIB([sdlmain], [main], FOUND_sdlmain=yes)
-    if test x$FOUND_sdlmain = xyes ; then
-       LIBS="$LIBS -lsdlmain"
-    else
-        echo "------------------"
-        echo "SDL library not found."
-        echo "please install the SDL library, which can be found at http://www.libsdl.org"
-        echo "------------------"
-        exit 1
-    fi
-    AC_CHECK_LIB([sdl], [main], FOUND_sdl=yes)
-    if test x$FOUND_sdl = xyes ; then
-       LIBS="$LIBS -lsdl"
-    else
-        echo "------------------"
-        echo "SDL library not found."
-        echo "please install the SDL library, which can be found at http://www.libsdl.org"
+#--------#
+# openAL #
+#--------#
+# checking for openAL-headers
+  AC_CHECK_HEADERS([AL/al.h] ,,
+      [AC_MSG_ERROR([cannot find openAL header.])])
+# checking for openAL-lib
+  AC_CHECK_LIB([OpenAL32], [main], [FOUND_openal=yes])
+  AC_CHECK_LIB([ALut], [main], [FOUND_ALut=yes])
+     if test x$FOUND_openal = xyes ; then
+      if test x$FOUND_ALut = xyes ; then
+       LIBS="$LIBS -lALut -lOpenAL32"
+     else
+        echo "------------------"
+        echo "openal library not found."
+        echo "please install the openal library, which can be found at http://www.openal.org"
         echo "------------------"
         exit -1
-    fi
-
+      fi
+     fi
     ;;
 #-------#
@@ -327,4 +353,22 @@
          exit -1
     fi
+
+#--------#
+# openAL #
+#--------#
+# checking for openAL-headers
+  AC_CHECK_HEADERS([AL/al.h] ,,
+      [AC_MSG_ERROR([cannot find openAL header.])])
+# checking for openAL-lib
+  AC_CHECK_LIB([openal], [main], [FOUND_openal=yes])
+     if test x$FOUND_openal = xyes ; then
+       LIBS="$LIBS -lopenal"
+     else
+        echo "------------------"
+        echo "openal library not found."
+        echo "please install the openal library, which can be found at http://www.openal.org"
+        echo "------------------"
+        exit -1
+     fi
 
 # checking for SDL
@@ -397,5 +441,5 @@
       [AC_CHECK_HEADERS([SDL/SDL_ttf.h] ,,AC_MSG_ERROR([cannot find SDL_ttf header.])]))
 # checking for SDL_ttf-lib
-  AC_CHECK_LIB([SDL_ttf], [main], [FOUND_SDL_ttf=yes])
+  AC_CHECK_LIB([SDL_ttf], [TTF_OpenFont], [FOUND_SDL_ttf=yes])
      if test x$FOUND_SDL_ttf = xyes ; then
        LIBS="$LIBS -lSDL_ttf"
@@ -427,72 +471,54 @@
    fi
 
-#--------#
-# openAL #
-#--------#
-# checking for openAL-headers
-  AC_CHECK_HEADERS([AL/al.h] ,,
-      [AC_MSG_ERROR([cannot find openAL header.])])
-# checking for openAL-lib
-  AC_CHECK_LIB([openal], [main], [FOUND_openal=yes])
-     if test x$FOUND_openal = xyes ; then
-       LIBS="$LIBS -lopenal"
-     else
-        echo "------------------"
-        echo "openal library not found."
-        echo "please install the openal library, which can be found at http://www.openal.org"
-        echo "------------------"
-        exit -1
-     fi
-
 #-----#
 # ogg #
 #-----#
-# checking for ogg-headers
-  AC_CHECK_HEADERS([ogg/ogg.h] ,,
-      [AC_MSG_ERROR([cannot find ogg header.])])
-# checking for ogg-lib
-  AC_CHECK_LIB([ogg], [main], [FOUND_ogg=yes])
-     if test x$FOUND_ogg = xyes ; then
-       LIBS="$LIBS -logg"
-     else
-        echo "------------------"
-        echo "ogg library not found."
-        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
+## checking for ogg-headers
+#  AC_CHECK_HEADERS([ogg/ogg.h] ,,
+#      [AC_MSG_ERROR([cannot find ogg header.])])
+## checking for ogg-lib
+#  AC_CHECK_LIB([ogg], [main], [FOUND_ogg=yes])
+#     if test x$FOUND_ogg = xyes ; then
+#       LIBS="$LIBS -logg"
+#     else
+#        echo "------------------"
+#        echo "ogg library not found."
+#        echo "please install the ogg library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+#        echo "------------------"
+#        exit -1
+#     fi
 
 #--------#
 # vorbis #
 #--------#
-# checking for vorbis-lib
-  AC_CHECK_LIB([vorbis], [main], [FOUND_vorbis=yes])
-     if test x$FOUND_vorbis = xyes ; then
-       LIBS="$LIBS -lvorbis"
-     else
-        echo "------------------"
-        echo "vorbis library not found."
-        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
+## checking for vorbis-lib
+#  AC_CHECK_LIB([vorbis], [main], [FOUND_vorbis=yes])
+#     if test x$FOUND_vorbis = xyes ; then
+#       LIBS="$LIBS -lvorbis"
+#     else
+#        echo "------------------"
+#        echo "vorbis library not found."
+#        echo "please install the vorbis library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+#        echo "------------------"
+#        exit -1
+#     fi
 
 #------------#
 # vorbisfile #
 #------------#
-# checking for vorbis-headers
-  AC_CHECK_HEADERS([vorbis/vorbisfile.h] ,,
-      [AC_MSG_ERROR([cannot find vorbisfile header.])])
-# checking for vorbisfile-lib
-  AC_CHECK_LIB([vorbisfile], [main], [FOUND_vorbisfile=yes])
-     if test x$FOUND_vorbisfile = xyes ; then
-       LIBS="$LIBS -lvorbisfile"
-     else
-        echo "------------------"
-        echo "vorbisfile library not found."
-        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
-        echo "------------------"
-        exit -1
-     fi
+## checking for vorbis-headers
+#  AC_CHECK_HEADERS([vorbis/vorbisfile.h] ,,
+#      [AC_MSG_ERROR([cannot find vorbisfile header.])])
+## checking for vorbisfile-lib
+#  AC_CHECK_LIB([vorbisfile], [main], [FOUND_vorbisfile=yes])
+#     if test x$FOUND_vorbisfile = xyes ; then
+#       LIBS="$LIBS -lvorbisfile"
+#     else
+#        echo "------------------"
+#        echo "vorbisfile library not found."
+#        echo "please install the vorbisfile library, which can be found at http://www.xiph.org/ogg/vorbis/index.html"
+#        echo "------------------"
+#        exit -1
+#     fi
 
 #-----#
Index: /orxonox/trunk/src/defs/stdincl.h
===================================================================
--- /orxonox/trunk/src/defs/stdincl.h	(revision 4696)
+++ /orxonox/trunk/src/defs/stdincl.h	(revision 4697)
@@ -14,5 +14,5 @@
 
 #ifdef __WIN32__
-#include <windows.h>
+//#include <windows.h>
 #endif
 
Index: /orxonox/trunk/src/lib/graphics/importer/md2Model.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/md2Model.cc	(revision 4696)
+++ /orxonox/trunk/src/lib/graphics/importer/md2Model.cc	(revision 4697)
@@ -20,5 +20,5 @@
 #include "resource_manager.h"
 
-#include <fstream>
+//#include <fstream>
 
 
